Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaField

All Superinterfaces:
  JavaMember

    public interface JavaField

extends JavaMember

Represents a field declaration. It is modelled on java.lang.reflect.Field

Author:
  pburka

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `get(JavaObject object)` Get the contents of an Object field
`boolean` | `getBoolean(JavaObject object)` Get the contents of a boolean field
`byte` | `getByte(JavaObject object)` Get the contents of a byte field
`char` | `getChar(JavaObject object)` Get the contents of a char field
`double` | `getDouble(JavaObject object)` Get the contents of a double field
`float` | `getFloat(JavaObject object)` Get the contents of a float field
`int` | `getInt(JavaObject object)` Get the contents of an int field
`long` | `getLong(JavaObject object)` Get the contents of a long field
`short` | `getShort(JavaObject object)` Get the contents of a short field
`java.lang.String` | `getString(JavaObject object)` Get the contents of a string field
`int` | `hashCode()`

Methods inherited from interface com.ibm.dtfj.java.JavaMember
`getDeclaringClass, getModifiers, getName, getSignature`

Method Detail

### get

    java.lang.Object get(JavaObject object)
                         throws CorruptDataException,
                                MemoryAccessException

  Get the contents of an Object field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    a JavaObject instance for reference type fields, an instance of a subclass of Number, Boolean, or Character for primitive fields, or null for null reference fields.

    This field must be declared in the object's class or in a superclass

  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field
  See Also:
    `JavaObject`, `Byte`, `Double`, `Float`, `Integer`, `Long`, `Short`, `Character`, `Boolean`

### getBoolean

    boolean getBoolean(JavaObject object)
                       throws CorruptDataException,
                              MemoryAccessException

  Get the contents of a boolean field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to boolean

### getByte

    byte getByte(JavaObject object)
                 throws CorruptDataException,
                        MemoryAccessException

  Get the contents of a byte field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to byte

### getChar

    char getChar(JavaObject object)
                 throws CorruptDataException,
                        MemoryAccessException

  Get the contents of a char field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to char

### getDouble

    double getDouble(JavaObject object)
                     throws CorruptDataException,
                            MemoryAccessException

  Get the contents of a double field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to double

### getFloat

    float getFloat(JavaObject object)
                   throws CorruptDataException,
                          MemoryAccessException

  Get the contents of a float field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to float

### getInt

    int getInt(JavaObject object)
               throws CorruptDataException,
                      MemoryAccessException

  Get the contents of an int field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to int

### getLong

    long getLong(JavaObject object)
                 throws CorruptDataException,
                        MemoryAccessException

  Get the contents of a long field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to long

### getShort

    short getShort(JavaObject object)
                   throws CorruptDataException,
                          MemoryAccessException

  Get the contents of a short field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    the field contents
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.NullPointerException` - if the field is an instance field, and object is null
    `java.lang.IllegalArgumentException` - if the specified object is not appropriate for this field, or if the type of the field cannot be converted to short

### getString

    java.lang.String getString(JavaObject object)
                               throws CorruptDataException,
                                      MemoryAccessException

  Get the contents of a string field

  Parameters:
    `object` - to fetch the field from. Ignored for static fields.
  Returns:
    a String representing the value of the String field. Note that the instance returned can be null if the field was null in object.
  Throws:
    `CorruptDataException`
    `MemoryAccessException`
    `java.lang.IllegalArgumentException` - if the specified field is not a String
    `java.lang.NullPointerException` - if the field is an instance field, and object is null

### equals

    boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `JavaMember`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:
    True if the given object refers to the same Java Field in the image

### hashCode

    int hashCode()

  Specified by:
    `hashCode` in interface `JavaMember`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD